LFR-FSW - Feature #159

temps des snapshot décalés de +256 * 2A-16 s
22/05/2014 11:49 AM - thomas chust

Status: Closed Start date: 22/05/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Tout est dans le titre. Plus d'explication dans le fichier joint.

History

#1 - 12/06/2014 09:08 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to thomas chust

fsw >=1.0.0.9
bug identifié et corrigé

La période des snapshots est déterminée par le parameétre delta_snapshot du VHDL. L'unité de ce parametre est 1/256 s. Il y avait un décalage de
1/256 s dans la prise en compte de la période des snapshots.

#2 - 20/06/2014 04:44 PM - thomas chust

- Status changed from Resolved to In Progress

Paul, les tests on été refait avec mini LFR5 sous la version 1.0.0.9b du FSW (et VHDL 0.1.16). Rien n'a changé, mémes observations. Donc pb pas
encore résolu ...

Concernant le centrage des snapshots il y a par contre eu un petit changement par rapport a la derniére fois. Ce changement concerne le parametre
Delta_f2_f1. Effet collatéral?

Thomas

#3 - 20/06/2014 04:49 PM - thomas chust

- Assignee changed from thomas chust to paul leroy

Paul, les tests on été refait avec mini LFR5 sous la version 1.0.0.9b du FSW (et VHDL 0.1.16). Rien n'a changé, mémes observations. Donc pb pas
encore résolu ...

Concernant le centrage des snapshots il y a par contre eu un petit changement par rapport a la derniére fois. Ce changement concerne le parametre
Delta_f2_f1. Effet collatéral?

Thomas

#4 - 23/06/2014 07:13 AM - paul leroy

- Status changed from In Progress to Resolved

fsw >=1.0.0.12

Je pense que ce probléme est une conséquence de la fausse manip que j'ai faite il y a quelques semaines, la modif avait été écrasée.
C'est remis en état, ¢ca devrait fonctionner.

#5 - 23/06/2014 07:13 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

#6 - 24/06/2014 11:56 AM - thomas chust
- File tests_bruits_miniLFR5_2014_06_23.odt added
- Status changed from Resolved to Closed

- Assignee changed from thomas chust to paul leroy
Des tests on été effectués avec la configuration suivante : VHDL 0.1.23 & FSW 1.0.0.12
Cela fonctionne maintenant comme il faut. Plus d'infos dans le fichier joint.
Bravo ! smile.png

Files
time tests_data 2014_4 17-10_19_2.odt 28.3 KB 22/05/2014 thomas chust
tests_bruits_miniLFR5_2014_06_23.odt 39.1 KB 24/06/2014 thomas chust
